/*
 * Copyright (c) 2015 N. Billard.
 */
package com.massa.mrules.demos.eshop.model;

public class Article {
	//Input data
	public String designation;
	public ArticleType type;
	public double price;
	
	//Output data
	public Double vat;
	
	public Article() {}

	public Article(String designation, ArticleType type, double price) {
		super();
		this.designation = designation;
		this.type = type;
		this.price = price;
	}

	public String getDesignation() {
		return this.designation;
	}
	public void setDesignation(final String designation) {
		this.designation = designation;
	}
	public ArticleType getType() {
		return this.type;
	}
	public void setType(final ArticleType type) {
		this.type = type;
	}
	public double getPrice() {
		return this.price;
	}
	public void setPrice(final double price) {
		this.price = price;
	}
	public Double getVat() {
		return this.vat;
	}
	public void setVat(final Double vat) {
		this.vat = vat;
	}
}
